import os
from optparse import make_option

from django.db import connection
from django.core import management
from django.core.urlresolvers import reverse
from django.core.management.base import BaseCommand, CommandError
from django.contrib.auth.models import User

from troggle.core.models import Cave, Entrance
import troggle.flatpages.models

import settings

"""Pretty much all of this is now replaced by databaseRest.py 
I don't know why this still exists. Needs testing to see if 
removing it makes django misbehave.
"""

class Command(BaseCommand):
    help = 'Removed as redundant - use databaseReset.py'

    option_list = BaseCommand.option_list + (
        make_option('--reset',
                    action='store_true',
                    dest='reset',
                    default=False,
                    help='Removed as redundant'),
    )

    def handle(self, *args, **options):
        print(args)
        print(options)
